'''Yutnori'''
from retro.game import Game
from gm import GameMaster
from token import Token
from board import make_board
from common import PAD


board_size = (PAD*2+20+20, PAD*2+25)
gm = GameMaster(board_size[0])
agents = [gm]
agents.extend(make_board())
for player in range(2):
    for num_token in range(1, 5):
        agents.append(Token(player, num_token, PAD))
game = Game(agents, state={'Current Player': '', 'msg1': '', 'msg2': ''}, board_size=board_size, debug=False)
game.play()
